import { type ComputeConfig, type ContentAction, type ReferenceAction, type UpdatePosition } from 'svelte-floating-ui';
import { type VirtualElement } from 'svelte-floating-ui/dom';
import { type Writable } from 'svelte/store';
export type FloatingUiNode = HTMLElement | Writable<VirtualElement> | VirtualElement;
export declare function isElementInPopover(srcElement: EventTarget | null): boolean;
export declare function defaultVirtualPosition(): {
    getBoundingClientRect: () => {
        x: number;
        y: number;
        top: number;
        left: number;
        bottom: number;
        right: number;
        width: number;
        height: number;
    };
};
export declare function setVirtualPosition(element: Writable<VirtualElement>, x: number, y: number): void;
export type TriggerEvent = 'mouseup' | 'contextmenu';
export type Config = {
    triggerEvent?: TriggerEvent;
    virtualElement?: Writable<VirtualElement>;
    floatingUi?: Partial<ComputeConfig>;
};
export declare function createPopover(isOpen: Writable<boolean>, config?: Config): [ReferenceAction, ContentAction, UpdatePosition];
