export declare const code = "<script lang=\"ts\">\nimport { Select, element } from 'svelte-headless-components';\n\nconst {\n  state: { isOpen, selected, filteredOptions },\n  elements: { options, trigger, content },\n} = new Select([{ label: '\u26AB\uFE0F Backlog' }, { label: '\uD83D\uDD35 In progress' }, { label: '\uD83D\uDFE2 Done' }]);\n</script>\n\n<button\nuse:element={trigger}\nclass=\"w-fit border {$isOpen\n  ? 'border-slate-500'\n  : 'border-slate-300'} flex items-center gap-2 focus:outline-none focus:border-sky-600 rounded-md px-2 py-1\"\n>\n<span class=\"text-slate-600\">{$selected.length > 0 ? $selected[0].label : 'Nothing selected'}</span>\n</button>\n\n{#if $isOpen}\n<div class=\"flex flex-col divide-y bg-white border border-slate-300 rounded shadow-md pb-1\" use:element={content}>\n  <div class=\"flex flex-col\">\n    {#each $filteredOptions as option}\n      <button\n        use:element={[options, option.id]}\n        class=\"flex px-3 py-1 {option.active ? 'bg-slate-100 text-slate-950' : 'text-slate-500'}\"\n      >\n        {option.label}\n      </button>\n    {/each}\n  </div>\n</div>\n{/if}\n";
